using Application.Abstractions.Messaging;
using Application.Abstractions.News;

namespace Application.Features.Admin.Crypto.News.Source.ForceFetch
{
    public sealed class Handler(IRssCollector rssCollector) : ICommandHandler<Command, int>
    {
        public async Task<int> Handle(Command request, CancellationToken ct)
        {
            return await rssCollector.FetchSourceAsync(request.ID, ct);
        }
    }
}